Tryton - Issues

 

Issue8588

Title Saving a model with a 02M function field fails with proteus
Priority bug Status resolved
Superseder Nosy List nicoe, roundup-bot
Type crash Components proteus
Assigned To nicoe Keywords review
Reviews 264091002
View: 264091002

Created on 2019-08-20.10:34:03 by nicoe, last changed by roundup-bot.

Messages
New changeset cbe123462712 by Nicolas Évrard in branch '5.2':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/cbe123462712

New changeset 67e2c0f78056 by Cédric Krier in branch '5.2':
Remove unknown breakpoint call
https://hg.tryton.org/proteus/rev/67e2c0f78056

New changeset c11ebd904c42 by Nicolas Évrard in branch '5.0':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/c11ebd904c42

New changeset e58c50e1acd9 by Cédric Krier in branch '5.0':
Remove unknown breakpoint call
https://hg.tryton.org/proteus/rev/e58c50e1acd9

New changeset 1fefe6d2f903 by Nicolas Évrard in branch '4.8':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/1fefe6d2f903

New changeset 48b0f939d0b7 by Cédric Krier in branch '4.8':
Remove unknown breakpoint call
https://hg.tryton.org/proteus/rev/48b0f939d0b7

New changeset 85f84f12f161 by Nicolas Évrard in branch '4.6':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/85f84f12f161

New changeset 817a66368172 by Cédric Krier in branch '4.6':
Remove unknown breakpoint call
https://hg.tryton.org/proteus/rev/817a66368172

New changeset 0400337794ee by Nicolas Évrard in branch '4.4':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/0400337794ee

New changeset c234817708eb by Cédric Krier in branch '4.4':
Remove unknown breakpoint call
https://hg.tryton.org/proteus/rev/c234817708eb
New changeset 881348f2c434 by Cédric Krier in branch 'default':
Remove unknown breakpoint call
https://hg.tryton.org/tryton-env/rev/881348f2c434
New changeset ebc47cb5291a by Cédric Krier in branch 'default':
Remove unknown breakpoint call
https://hg.tryton.org/proteus/rev/ebc47cb5291a
New changeset c01d858f18b6 by Nicolas ?vrard in branch 'default':
Do not send empty x2Many fields when saving
https://hg.tryton.org/tryton-env/rev/c01d858f18b6
New changeset 25198402e9f7 by Nicolas ?vrard in branch 'default':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/25198402e9f7
New changeset a6855557390d by Nicolas ?vrard in branch 'default':
Do not send empty x2Many fields when saving
https://hg.tryton.org/tryton-env/rev/a6855557390d
New changeset e356ca513730 by Nicolas ?vrard in branch 'default':
Do not send empty x2Many fields when saving
https://hg.tryton.org/proteus/rev/e356ca513730
msg51369 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2019-08-20.10:34:02
Here's the traceback:

    Traceback (most recent call last):
      File "/usr/lib/python3.7/doctest.py", line 1329, in __run
        compileflags, 1), test.globs)
      File "<doctest scenario_party_erase.rst[8]>", line 1, in <module>
        party.save()
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/proteus/proteus/__init__.py", line 93, in newfunc
        return self.func(owner, [instance], *args, **kwargs)
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/proteus/proteus/__init__.py", line 816, in save
        ids = proxy.create(values, context)
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/proteus/proteus/config.py", line 188, in __call__
        result = rpc.result(meth(*args, **kwargs))
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/trytond/trytond/modules/party/party.py", line 253, in create
        return super(Party, cls).create(vlist)
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/trytond/trytond/model/modelsql.py", line 159, in wrapper
        return func(cls, *args, **kwargs)
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/trytond/trytond/model/modelsql.py", line 664, in create
        field.set(cls, fname, *fargs)
      File "/home/nicoe/projets/tryton/tryton-env/SearchOldPartyCode-issue8570/trytond/trytond/model/fields/function.py", line 126, in set
        **Model.__names__(self.name)))
    NotImplementedError: Missing setter function for field "Replaced Parties" in "Party".

While investigating this I noticed that proteus was not patched against issue6988 and this fix would also solve the issue.
History
Date User Action Args
2019-09-12 23:26:13roundup-botsetmessages: + msg51828
keyword: - backport
2019-09-02 18:23:03roundup-botsetmessages: + msg51626
2019-09-02 18:22:57roundup-botsetmessages: + msg51624
2019-08-31 01:41:16roundup-botsetmessages: + msg51600
2019-08-31 01:41:08roundup-botsetmessages: + msg51599
2019-08-31 00:54:00roundup-botsetmessages: + msg51597
2019-08-31 00:53:55roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg51596
2019-08-21 00:13:31cedsetstatus: unread -> testing
type: crash
keyword: + backport
2019-08-20 10:34:03nicoecreate

Showing 10 items. Show all history (warning: this could be VERY long)